package intrinsic.mx.managers;

public interface IToolTipManager {

	/** Accessors */
//	public intrinsic.flash.display.DisplayObject currentTarget;
//	public double hideDelay;
//	public intrinsic.Class toolTipClass;
//	public double showDelay;
//	public boolean enabled;
//	public double scrubDelay;
//	public intrinsic.mx.effects.Effect showEffect;
//	public intrinsic.mx.effects.Effect hideEffect;
//	public intrinsic.mx.core.IToolTip currentToolTip;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */

/** Static Methods */

/** Methods */
public intrinsic.mx.core.IToolTip createToolTip(String arg0, double arg1, double arg2);
public intrinsic.mx.core.IToolTip createToolTip(String arg0, double arg1, double arg2, String arg3);
public intrinsic.mx.core.IToolTip createToolTip(String arg0, double arg1, double arg2, String arg3, intrinsic.mx.core.IUIComponent arg4);
public void registerErrorString(intrinsic.flash.display.DisplayObject arg0, String arg1, String arg2);
public void sizeTip(intrinsic.mx.core.IToolTip arg0);
public void destroyToolTip(intrinsic.mx.core.IToolTip arg0);
public void registerToolTip(intrinsic.flash.display.DisplayObject arg0, String arg1, String arg2);

}
